Skip to content

Get an Agency

Request

Get an agency by ID

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
agency_idintegerrequired

Numeric ID of the agency to get

Query
extendedboolean

Get extended properties in response

curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/agencies/{agency_id}?extended=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Agency response

Bodyapplication/json
Any of:
dataobject(agency)
metaobject(single_metadata)
Response
{ "data": { "ads_txt_verified": "ANY", "allow_x_adv_optimization": true, "allow_x_adv_pixels": true, "dmp_enabled": "disabled", "eligible_for_data_sharing": true, "name": "string", "status": true, "logo": "string", "mfa_avoidance": "INHERIT", "id": 0, "created_on": "2019-08-24T14:15:22Z", "entity_type": "string", "organization_id": 1, "updated_on": "2019-08-24T14:15:22Z", "version": 0, "sales_contact_id": 0, "billing_contact_id": 0, "traffic_contact_id": 0, "inherited_mfa_avoidance": "INHERIT", "inherited_mfa_from": "Organization" }, "meta": { "status": "success" } }